> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/documentation/rest-api/rate-limiting.md).

# Rate limiting

To keep the VARIO Cloud API fast and reliable for everyone, we apply rate limits to API traffic.

### Limit

**40 requests per 6 seconds**

If you exceed this limit, the API will respond with **HTTP 429 (Too Many Requests)**.

{% hint style="info" %}
Note: Rate limits may evolve over time as the platform grows. If you have a use case that requires higher throughput, please contact us.
{% endhint %}

### What happens when you hit the limit?

When the rate limit is exceeded:

* Requests may be rejected with **429 Too Many Requests**
* You should **pause** and **retry** after a short delay
* Repeated bursts without backoff will continue to be throttled


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/documentation/rest-api/rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
